package cn.wisenergy.model.enums;

/**
 * @program: springboot
 * @description:
 * @author: 聂某
 * @create: 2020-12-23 16:58
 **/
public enum  ManagerEnum {
    NOT_MANAGER(0, "该用户不是管理员"),
    IS_PROJECT_DIRECTOR(1,"用户是项目/商机负责人"),
    IS_DEPARTMENT_DIRECTOR(2,"用户是部门负责人"),
    IS_CENTRE_DIRECTOR(3,"用户是中心负责人"),
    IS_SYSTEM_MANAGER(4,"用户是系统负责人");

    private Integer code;
    private String msg;

    ManagerEnum(Integer code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode(){
        return code;
    }

    public String getMsg(){
        return msg;
    }
}
